package com.mapper;

import com.pojo.dto.AccountVO;
import com.pojo.entity.AccountEntity;
import com.pojo.entity.AccountRealEntity;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

public interface AccountMapper {
    List<AccountEntity> findAll(Integer id);
    void updateOne(AccountEntity accountEntity);
    void insertOne(AccountEntity accountEntity);
    List<AccountRealEntity> findByDepId(Integer depId);
    // 多对一查询
    AccountVO findVO(Integer id);
    AccountVO findByStep(Integer id);
    @MapKey("dep_id")
    Map<Integer,AccountRealEntity> findAllMap();


}
